Skip to main content
`Ctrl`+`K`

# TSGLLEAcceptFn

A prototype of a `TS` accept function that would be passed to `TSGLLEAcceptRegister()`

## Synopsis

    #include <petscts.h>
    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode(TSGLLEAcceptFn)(TS ts, PetscReal nt, PetscReal h, const PetscReal enorm[], PetscBool *accept);

## Calling Sequence

- ts - timestep context

- nt - time to end of solution time

- h - the proposed step-size

- enorm - unknown

- accept - output, if the proposal is accepted

## Note

The deprecated `TSGLLEAcceptFunction` still works as a replacement for `TSGLLEAcceptFn` *

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetRHSFunction()`, `DMTSSetRHSFunction()`, `TSIFunctionFn`, `TSIJacobianFn`, `TSRHSJacobianFn`, `TSGLLEAcceptRegister()`

## Level

beginner

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages